// tgDBuffer class for doing double-buffering with GDI
//
// (c) 2002 by Tom Grandgent, started on 7/7/2002

#ifndef TGDBUFFER_DEFINED
#define TGDBUFFER_DEFINED

#include <windows.h>

class tgDBuffer
{
private:
	HWND hwndWindow;
	HDC hdcBuffer, hdcWindow;
	HBITMAP hbmBuffer;
	int bufferWidth, bufferHeight;
	RECT r;

public:
	tgDBuffer(HWND hwnd);
	~tgDBuffer(void);

	// Returns a handle to the device context of the double buffer, used to draw onto
	HDC getBuffer(RECT *clientRect);
	// Copies the contents of the double buffer to the display
	void draw(void);
};

#endif